package nsv3.filte;

import static org.junit.Assert.assertTrue;

import java.io.File;
import java.io.IOException;

import org.junit.Test;

import config.Example;
import edu.udel.cis.vsl.tass.config.VerifyConfiguration;
import edu.udel.cis.vsl.tass.front.minimp.ModelExtractor;
import edu.udel.cis.vsl.tass.model.IF.ModelIF;
import edu.udel.cis.vsl.tass.util.SyntaxException;
import edu.udel.cis.vsl.tass.verify.Verification;

public class FilteTest {

	@Test
	public void filte() throws IOException, SyntaxException {
		ModelIF model;
		File rootDirectory = new File(Example.exampleDirectory, "nsv3/filte");
		VerifyConfiguration verifyConfiguration = new VerifyConfiguration(
				new File(rootDirectory, "TASSREP"));

		verifyConfiguration.setSourceFile(new File(rootDirectory,
				"filte-tass.c"));
		verifyConfiguration.setModelName("filte");
		verifyConfiguration.setNumProcs(1);
		verifyConfiguration.setVerbose(true);
		model = ModelExtractor.extractModel(verifyConfiguration);
		assertTrue(Verification.verify(model, verifyConfiguration, true));
	}

}
